package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import net.flashpunk.Engine;
	import net.flashpunk.FP;
	import splash.Splash;
	
	[SWF(width = "640", height = "480", backgroundColor = "#00000000")]
	[Frame(factoryClass="Preloader")]

	/**
	 * ...
	 * @author Switchbreak
	 */
	[Frame(factoryClass="Preloader")]
	public class Main extends Engine 
	{
		
		public function Main():void 
		{
			// Initialize FlashPunk engine with 320x240 screen
			super( 320, 240 );
			
			// Scale 2x to 640x480
			FP.screen.scale = 2;
		}
		
		override public function init():void 
		{
			var splashScreen:Splash = new Splash();
			FP.world.add( splashScreen );
			
			splashScreen.start( SplashComplete );
			
			//FP.world = new GameWorld();
		}
		
		public function SplashComplete():void
		{
			FP.world = new StartScreen();
		}
		
	}

}