package  
{
	import flash.events.TextEvent;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.World;
	import net.flashpunk.FP;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	
	/**
	 * ...
	 * @author Switchbreak
	 */
	public class WinScreen extends World 
	{
		
		private static const TOP_STAGE:int = 5;
		
		private static var nStage:int = 1;
		
		override public function begin():void 
		{
			var titleText:Text = new Text( "Stage " + nStage.toString() + " Complete", FP.halfWidth, FP.halfHeight - 10 );
			titleText.centerOO();
			
			var instructionText:Text = new Text( "Press Space to continue", FP.halfWidth, FP.halfHeight + 100 );
			instructionText.size = 8;
			instructionText.centerOO();
			
			if ( nStage >= TOP_STAGE )
			{
				var winText:Text = new Text( "You Win!", FP.halfWidth, FP.halfHeight + 20 );
				winText.centerOO();
				addGraphic( winText );
				
				instructionText.text = "Press Space to restart";
				instructionText.centerOO();
				
				addGraphic( instructionText );
			}
			
			addGraphic( titleText );
			addGraphic( instructionText );
			
			super.begin();
		}
		
		override public function update():void 
		{
			if ( Input.check( Key.SPACE ) )
			{
				add( new Fader( StartGame ) );
			}
			
			super.update();
		}
		
		public function StartGame():void
		{
			if ( nStage < TOP_STAGE )
				nStage++;
			else
				nStage = 1;
			
			var gameWorld:GameWorld = new GameWorld( nStage );
			FP.world = gameWorld;
		}
		
	}

}