package  
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	
	/**
	 * ...
	 * @author Switchbreak
	 */
	public class ScreenShake extends Entity 
	{
		
		private var fDuration:Number = 0;
		private var fAmount:Number;
		
		public function ScreenShake() 
		{
			super();
			active = false;
		}
		
		public function Start( fSetDuration:Number = 0.5, fSetAmount:Number = 4 ):void
		{
			fDuration = fSetDuration;
			fAmount = fSetAmount;
			active = true;
		}
		
		override public function update():void 
		{
			fDuration -= FP.elapsed;
			if ( fDuration <= 0 )
			{
				FP.screen.x = FP.screen.y = 0;
				active = false;
			}
			else
			{
				FP.screen.x = FP.random * fAmount * 2 - fAmount;
				FP.screen.y = FP.random * fAmount * 2 - fAmount;
			}
			
			super.update();
		}
		
	}

}