package  
{
	import flash.events.TextEvent;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.World;
	import net.flashpunk.FP;
	import net.flashpunk.utils.Input;
	import net.flashpunk.utils.Key;
	
	/**
	 * ...
	 * @author Switchbreak
	 */
	public class StartScreen extends World 
	{
		
		override public function begin():void 
		{
			FP.screen.color = 0x288CFF;
			add( new Waterfall() );
			
			var titleText:Text = new Text( "Waterfall Rescue", FP.halfWidth, FP.halfHeight - 10 );
			titleText.centerOO();
			
			var storyText1:Text = new Text( "This waterfall is too dangerous to climb alone!", FP.halfWidth, FP.halfHeight + 20 );
			storyText1.size = 8;
			storyText1.centerOO();
			var storyText2:Text = new Text( "Save the stranded saps who tried,", FP.halfWidth, FP.halfHeight + 30 );
			storyText2.size = 8;
			storyText2.centerOO();
			var storyText3:Text = new Text( "and take them with you to the rescue chopper", FP.halfWidth, FP.halfHeight + 40 );
			storyText3.size = 8;
			storyText3.centerOO();
			
			var instructionText:Text = new Text( "Press Space to begin", FP.halfWidth, FP.halfHeight + 100 );
			instructionText.size = 8;
			instructionText.centerOO();
			
			addGraphic( titleText );
			addGraphic( storyText1 );
			addGraphic( storyText2 );
			addGraphic( storyText3 );
			addGraphic( instructionText );
			
			super.begin();
		}
		
		override public function update():void 
		{
			if ( Input.check( Key.SPACE ) )
			{
				add( new Fader( StartGame ) );
			}
			
			super.update();
		}
		
		public function StartGame():void
		{
			var gameWorld:GameWorld = new GameWorld();
			FP.world = gameWorld;
		}
		
	}

}